# AccelerometerData

Namespace: **Wisej.Hybrid.Shared.Sensors**

Assembly: **Wisej.Hybrid** (3.5.0.0)

Data representing the devices' three accelerometers.

{% tabs %}
{% tab title="C#" %}

```csharp
public class AccelerometerData : IEquatable<AccelerometerData>
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class AccelerometerData
    Inherits IEquatable(Of AccelerometerData)
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/CCV9PPenlC1YZvNh1I6R)AccelerometerData()

Initializes a new instance of [AccelerometerData](/hybrid/start/api/sensors/wisej.hybrid.shared.sensors.accelerometerdata.md).

### ![](/files/CCV9PPenlC1YZvNh1I6R)AccelerometerData(x, y, z)

Public constructor for accelerometer data.

| Name  | Type                                                          | Description |
| ----- | ------------------------------------------------------------- | ----------- |
| **x** | [Double](https://docs.microsoft.com/dotnet/api/system.double) | X data      |
| **y** | [Double](https://docs.microsoft.com/dotnet/api/system.double) | Y data      |
| **z** | [Double](https://docs.microsoft.com/dotnet/api/system.double) | Z data      |

### ![](/files/CCV9PPenlC1YZvNh1I6R)AccelerometerData(x, y, z)

Public constructor for accelerometer data.

| Name  | Type                                                          | Description |
| ----- | ------------------------------------------------------------- | ----------- |
| **x** | [Single](https://docs.microsoft.com/dotnet/api/system.single) | X data      |
| **y** | [Single](https://docs.microsoft.com/dotnet/api/system.single) | Y data      |
| **z** | [Single](https://docs.microsoft.com/dotnet/api/system.single) | Z data      |

## Properties

### ![](/files/CCV9PPenlC1YZvNh1I6R)Acceleration

[Vector3](https://docs.microsoft.com/dotnet/api/system.numerics.vector3): Gets the acceleration vector in G's (gravitational force).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/hybrid/start/api/sensors/wisej.hybrid.shared.sensors.accelerometerdata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
